## org.apache.http.nio
Interface NHttpClientIOTarget

All Superinterfaces:
  Closeable, HttpConnection, IOControl, NHttpClientConnection, NHttpConnection

All Known Implementing Classes:
  DefaultNHttpClientConnection

Deprecated. (4.2) no longer used

    @Deprecated
    public interface NHttpClientIOTarget

extends NHttpClientConnection

Extended version of the `NHttpClientConnection` used by `IOEventDispatch` implementations to inform client-side connection objects of I/O events.

Since:
  4.0

Field Summary

Fields inherited from interface org.apache.http.nio.NHttpConnection
`ACTIVE, CLOSED, CLOSING`

Method Summary
`void` `consumeInput(NHttpClientHandler handler)` Deprecated. Triggered when the connection is ready to consume input.
`void` `produceOutput(NHttpClientHandler handler)` Deprecated. Triggered when the connection is ready to produce output.

Methods inherited from interface org.apache.http.nio.NHttpClientConnection
`isRequestSubmitted, resetInput, resetOutput, submitRequest`

Methods inherited from interface org.apache.http.nio.NHttpConnection
`getContext, getHttpRequest, getHttpResponse, getStatus`

Methods inherited from interface org.apache.http.HttpConnection
`close, getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout, shutdown`

Methods inherited from interface org.apache.http.nio.IOControl
`requestInput, requestOutput, shutdown, suspendInput, suspendOutput`

Method Detail

### consumeInput

    void consumeInput(NHttpClientHandler handler)

  Deprecated.
  Triggered when the connection is ready to consume input.

  Parameters:
    `handler` - the client protocol handler.

### produceOutput

    void produceOutput(NHttpClientHandler handler)

  Deprecated.
  Triggered when the connection is ready to produce output.

  Parameters:
    `handler` - the client protocol handler.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.